Bug 1172802 - (CVE-2020-0181) VUL-1: CVE-2020-0181: libexif: integer overflow in exif-data.c
(CVE-2020-0181)
VUL-1: CVE-2020-0181: libexif: integer overflow in exif-data.c
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/261182/
CVSSv3.1:SUSE:CVE-2020-0181:5.3:(AV:N...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-10 14:52 UTC by Wolfgang Frisch
Modified: 2022-08-03 09:19 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Marcus Meissner 2020-06-10 15:09:43 UTC
this is not yet in 0.6.22 release
Comment 3 Swamp Workflow Management 2022-04-11 19:22:19 UTC
SUSE-SU-2022:1148-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1172768,1172802,1178479
CVE References: CVE-2020-0181,CVE-2020-0198,CVE-2020-0452
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    libexif-0.6.22-150000.5.9.1
openSUSE Leap 15.3 (src):    libexif-0.6.22-150000.5.9.1
SUSE Manager Server 4.1 (src):    libexif-0.6.22-150000.5.9.1
SUSE Manager Retail Branch Server 4.1 (src):    libexif-0.6.22-150000.5.9.1
SUSE Manager Proxy 4.1 (src):    libexif-0.6.22-150000.5.9.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    libexif-0.6.22-150000.5.9.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    libexif-0.6.22-150000.5.9.1
SUSE Linux Enterprise Server for SAP 15 (src):    libexif-0.6.22-150000.5.9.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    libexif-0.6.22-150000.5.9.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    libexif-0.6.22-150000.5.9.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    libexif-0.6.22-150000.5.9.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    libexif-0.6.22-150000.5.9.1
SUSE Linux Enterprise Server 15-LTSS (src):    libexif-0.6.22-150000.5.9.1
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    libexif-0.6.22-150000.5.9.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4 (src):    libexif-0.6.22-150000.5.9.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    libexif-0.6.22-150000.5.9.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP4 (src):    libexif-0.6.22-150000.5.9.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    libexif-0.6.22-150000.5.9.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    libexif-0.6.22-150000.5.9.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    libexif-0.6.22-150000.5.9.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    libexif-0.6.22-150000.5.9.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    libexif-0.6.22-150000.5.9.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    libexif-0.6.22-150000.5.9.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    libexif-0.6.22-150000.5.9.1
SUSE Enterprise Storage 7 (src):    libexif-0.6.22-150000.5.9.1
SUSE Enterprise Storage 6 (src):    libexif-0.6.22-150000.5.9.1
SUSE CaaS Platform 4.0 (src):    libexif-0.6.22-150000.5.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 4 Swamp Workflow Management 2022-04-12 19:18:22 UTC
SUSE-SU-2022:1168-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1172768,1172802,1178479
CVE References: CVE-2020-0181,CVE-2020-0198,CVE-2020-0452
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    libexif-0.6.22-8.13.1
SUSE OpenStack Cloud Crowbar 8 (src):    libexif-0.6.22-8.13.1
SUSE OpenStack Cloud 9 (src):    libexif-0.6.22-8.13.1
SUSE OpenStack Cloud 8 (src):    libexif-0.6.22-8.13.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    libexif-0.6.22-8.13.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    libexif-0.6.22-8.13.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    libexif-0.6.22-8.13.1
SUSE Linux Enterprise Server 12-SP5 (src):    libexif-0.6.22-8.13.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    libexif-0.6.22-8.13.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    libexif-0.6.22-8.13.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    libexif-0.6.22-8.13.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    libexif-0.6.22-8.13.1
HPE Helion Openstack 8 (src):    libexif-0.6.22-8.13.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Marcus Meissner 2022-08-03 08:42:16 UTC
all submitted
Comment 7 Gianluca Gabrielli 2022-08-03 09:19:45 UTC
Closing, thanks